Connexion

Forum : Voir tous les messages du membre

Voir tous les messages du membre

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 23/08/2019 à 14h08
Ah j'ai peut-être trouvé un truc qui pourrait être intéressant (j'ai dû passer à côté en premier lieu) : https://www.coxprod.org/domotique/aec-echo-cancellation-pulseaudio-snips/3/

Ca a l'air de correspondre un peu avec ce que tu disais. Bon j'ai pas encore essayé, je testerai ça ce soir.

EDIT : Bon, j'ai essayé d'appliquer le tuto, et j'ai pas réussi à renouveler l'exploit hélas…


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 22/08/2019 à 21h00
Bonjour tout le monde,
Petite question, est ce que à tout hasard, vous auriez des astuces pour améliorer le son du micro, notamment pour la VoIP.
Pour l'instant j'utilise essentiellement Mumble. Et j'ai remarqué qu'il y a pas mal d'options qui sont fournies par Realtek dans Windows, qu'on retrouve pas forcément dans Mageia (suppression de bruit, annulation d'écho… ) sachant que souvent on a tendance à propager le son du jeu, ou encore de la musique qu'on écoute alors même qu'on a un casque et je trouve ça assez dommage.

À moins qu'il y a des astuces que je ne connaisse pas, je pense notamment à des options pulseaudio. Du coup… Des idées?


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 21/08/2019 à 18h07
Oky ben j'ai enlevé le superflu du coup. Merci à tous pour votre contribution, je passe le sujet en résolu ;)


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 20/08/2019 à 17h41
nic80 :
Bonjour,

Pour les paquets 32bits, est ce que l' équivalent en mga6 n' est pas installé (donc il essayerait de faire la mise à jour du paquet).

Sinon pour les dépots, je lis core (32) updates.

Est ce que le "core release 32" tout court est activé ? Je n' ai pas vérifié, mais peut être que le paquet libmesa se trouve dans le core release 32 et pas dans le core updates (32) ?


Ah oui parfait, avec le core release ça fonctionne mieux, et steam est bien installé. Pour le coup, l'errata que j'ai vu là dessus est pas super clair. Je pensais qu'il fallait juste le core updates…

Du coup, est ce que je devrais relancer un « urpmi --auto-update --download-all » pour passer tous les potentiels paquets 32bits en mga7?


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 20/08/2019 à 08h14
nic80 :
Bonjour,

Je me demande pourquoi le noyau qui est lancé est le 4.14.30...

Un uname -a donne quoi ?

Si ce n' est pas un noyau 5.x, il y a probablement un problème.

Je ne sais pas si un update-grub2 permettrait de mettre les entrées à jour (si le noyau amorcé est le 4.14.30 et par défaut). Le 5.2.7 est proposé par grub ?


C'était ça le problème. Je demarrais sur un vieux noyaux. Et ça m'est revenu, une fois j'avais eu un soucis sur une maj de noyau, donc j'avais forcé ce noyau là. Mais le soucis, c'est que j'ai oublié de me remettre sur un noyau plus récent...
Doncc du coup c'est bon je démarre bien sur le bon noyau et mon pilote NVIDIA se lance bien (ouf plus de tearing disgracieux).

Bon, plus qu'à régler me problème des paquets 32bits :happy1:


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 19/08/2019 à 20h05
nic80 :
Bonjour

Le 4.14.30 semble être un vieux noyau...

Je dirais qu'il manque quelques paquets...

Que donne un

rpm -qa | grep mga6 | wc -l

Et un

rpm -qa | grep mga7| wc -l

Que donne un urpmi --auto-update ( voir un relancement de la commande d' upgrade (en prenant soin de désactiver les dépots 32 bits d' abord)?



Oui mais le truc bizarre, c'est que le kernel-desktop mga7 semble bien être installé. Du coup j'ai pris la liberté de faire ça :
Code BASH :
rpm -qa | grep kernel-desktop
kernel-desktop-devel-4.14.78-1.mga6-1-1.mga6
kernel-desktop-4.14.16-1.mga6-1-1.mga6
virtualbox-kernel-desktop-latest-6.0.10-3.mga7
kernel-desktop-devel-4.14.89-1.mga6-1-1.mga6
kernel-desktop-latest-5.2.7-1.mga7
kernel-desktop-4.14.78-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.131-1.mga6-1-1.mga6
kernel-desktop-4.14.131-1.mga6-1-1.mga6
kernel-desktop-4.14.104-2.mga6-1-1.mga6
kernel-desktop-4.14.106-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.104-2.mga6-1-1.mga6
kernel-desktop-4.14.119-1.mga6-1-1.mga6
kernel-desktop-4.14.30-3.mga6-1-1.mga6
kernel-desktop-4.14.20-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.137-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.121-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.127-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.30-3.mga6-1-1.mga6
kernel-desktop-devel-4.14.119-1.mga6-1-1.mga6
kernel-desktop-4.14.127-1.mga6-1-1.mga6
kernel-desktop-4.9.40-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.20-1.mga6-1-1.mga6
kernel-desktop-devel-latest-5.2.7-1.mga7
kernel-desktop-devel-4.14.18-1.mga6-1-1.mga6
kernel-desktop-4.14.70-2.mga6-1-1.mga6
kernel-desktop-5.2.7-1.mga7-1-1.mga7
kernel-desktop-devel-4.14.70-2.mga6-1-1.mga6
kernel-desktop-devel-4.14.116-1.mga6-1-1.mga6
kernel-desktop-4.14.121-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.44-2.mga6-1-1.mga6
kernel-desktop-devel-5.2.7-1.mga7-1-1.mga7
kernel-desktop-4.14.116-1.mga6-1-1.mga6
kernel-desktop-4.14.89-1.mga6-1-1.mga6
kernel-desktop-4.14.18-1.mga6-1-1.mga6
kernel-desktop-4.14.44-2.mga6-1-1.mga6
kernel-desktop-4.14.137-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.106-1.mga6-1-1.mga6


Donc déjà, pour moi, y a beaucoup de vieux kernel…

Ensuite pour les commandes que tu m'a demandé en mga6 : 374 et en mga7 : 3193

EDIT : En fin de compte, sans les paquets 32bits j'ai aucune erreur sur les update / upgrade… Mais il me dit juste que tous le paquets sont à jour.


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 19/08/2019 à 19h37
Code BASH :
$ cat /var/lib/dkms/nvidia-current/430.40-1.mga7.nonfree/build/make.log 
DKMS make.log for nvidia-current-430.40-1.mga7.nonfree for kernel 4.14.30-desktop-3.mga6 (x86_64)
lun. août 19 17:19:53 CEST 2019
make[1] : on entre dans le répertoire « /usr/src/kernel-4.14.30-desktop-3.mga6 »
  SYMLINK /var/lib/dkms/nvidia-current/430.40-1.mga7.nonfree/build/nvidia/nv-kernel.o
  SYMLINK /var/lib/dkms/nvidia-current/430.40-1.mga7.nonfree/build/nvidia-modeset/nv-modeset-kernel.o
 
Compiler version check failed:
 
The major and minor number of the compiler used to
compile the kernel:
 
gcc version 5.5.0 (Mageia 5.5.0-1.mga6)
 
does not match the compiler used here:
 
cc (Mageia 8.3.1-0.20190802.1.mga7) 8.3.1 20190802
Copyright © 2018 Free Software Foundation, Inc.
Ce logiciel est un logiciel libre; voir les sources pour les conditions de copie.  Il n'y a
AUCUNE GARANTIE, pas même pour la COMMERCIALISATION ni L'ADÉQUATION À UNE TÂCHE PARTICULIÈRE.
 
 
It is recommended to set the CC environment variable
to the compiler that was used to compile the kernel.
 
The compiler version check can be disabled by setting
the IGNORE_CC_MISMATCH environment variable to "1".
However, mixing compiler versions between the kernel
and kernel modules can result in subtle bugs that are
difficult to diagnose.
 
*** Failed CC version check. Bailing out! ***
 
make[2]: *** [/var/lib/dkms/nvidia-current/430.40-1.mga7.nonfree/build/Kbuild:182: cc_version_check] Error 1
make[1]: *** [Makefile:1512: _module_/var/lib/dkms/nvidia-current/430.40-1.mga7.nonfree/build] Error 2
make[1] : on quitte le répertoire « /usr/src/kernel-4.14.30-desktop-3.mga6 »
make: *** [Makefile:81: modules] Error 2
 


Du coup, il y a deux choses qui me choquent, d'une, le fait que le chemin vers ce fichiers semble totalement différent du tiens, et de deux, c'est moi ou y a encore beaucoup de mga6 là?


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 19/08/2019 à 17h41
Bonsoir tout le monde,
Je suis rentré du boulot, j'ai tout de suite regardé ça. Du coup le 32bits n'était pas activé. J'ai donc coché le Core 32bit Updates. J'ai fait un urpmi --auto-update après ça, et j'ai cette erreur :
Code BASH :
Désolé, le paquetage suivant ne peut pas être sélectionné :
- libsystemd0-241-8.1.mga7.i586 (car liblz4.so.1 est non satisfait)

Quand j'essaye d'installer steam, toujours la même erreur…
J'ai essayé d'installer le kernel-desktop-devel, il était déjà installé.

Et pour nvidia :
Code BASH :
$ rpm -qa | grep nvidia
x11-driver-video-nvidia-current-430.40-1.mga7.nonfree
nvidia-current-doc-html-430.40-1.mga7.nonfree
dkms-nvidia-current-430.40-1.mga7.nonfree
nvidia-current-utils-430.40-1.mga7.nonfree
lib64nvidia-egl-wayland1-1.0.3-4.mga7
 

J'ai une cg assez récente. Donc normalement, c'est les derniers pilotes qu'il me faut.

J'ai essayé de trouver le make.log, mais j'ai rien trouvé. J'ai pas de dossier dkms dans mon /var/log…


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 18/08/2019 à 23h42
Bonjour tout le monde. Du coup, de mon côté, j'ai tenté de faire la mise à jour.

Je résume grossièrement :
Code BASH :
 
su
systemctl isolate multi-user.target
urpmi.removemedia -a
urpmi.addmedia --distrib --mirrorlist 'http://mirrors.mageia.org/api/mageia.7.$ARCH.list'
urpmi --auto-update --auto --force --download-all --test
urpmi --auto-update --auto --force --download-all
 


J'ai une seule erreur pendant les tests concernant steam et mesa. J'en tiens pas compte, je me dis, Steam c'est pas essentiel, je le dépatouillerai plus tard.
Donc après que les commandes se soient déroulées je redémarre (comme demandé) et là mon serveur X ne semble pas redémarrer. Qu'à cela ne tienne, je relance la commande :
Code BASH :
 
urpmi --auto-update --auto --force --download-all
 


Et je m'aperçois que j'avais genre, rien installer avec la commande précédente. Après ça, ça se présente mieux, tout démarre (interface graphique, etc.) sauf que, apparemment, il n'arrive pas à trouver mes pilotes nvidia. Il mouline au démarrage pour essayer de l'installer, et à la fin j'ai ce message : The display driver has been automatically switched to 'nouveau'. Reason: Le pilote noyau propriétaire n'a pas été trouvé pour le pilote X.org « nvidia ».

J'ai essayé de bidouiller un peu, de vérifier si les paquets sont installés, j'ai bien activé nvidia dans le CCM… Mais il repart toujours sur nouveau… Des idées? :gene:


edit : pour info, j'ai pu reproduire le message d'erreur par rapport à steam : Le paquetage demandé ne peut pas être installé : steam-1.0.0.61-1.mga7.nonfree.x86_64 (car libmesaglu1 est non satisfait)
Je sais pas si ça peut être lié au problème de nvidia, dans le doute je partage…


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello:

Comral Membre non connecté

Rang

Avatar

Messages: 247

  Le 09/08/2019 à 23h59
Bah même si ça parait irréaliste, ça n'empêche que faire de la pub, c'est quand même un moyen très facile de financer des vidéos entre autres projets. Pour moi, c'est un sujet qui mériterai d'être étudié. Ça éviterai peut être de voir certains projets en difficulté par manque d'argent, et on pourrait aussi éviter de laisser ça à des boites toxique, à la google et microsoft…


Venez faire un petit tour sur ma chaine Youtube, ou Peertube ! :hello: